summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-13 00:27:42 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:27:42 +0200
commit85fb71d624b5da9f7e71886ab0091f9e7930d6fa (patch)
tree410c923ab791e75d18f01d9027cb060093259b4d /graphics
parent5f67bcd5b09ea8ddcb2182be9831bcd1790683ca (diff)
downloadslackbuilds-85fb71d624b5da9f7e71886ab0091f9e7930d6fa.tar.gz
slackbuilds-85fb71d624b5da9f7e71886ab0091f9e7930d6fa.tar.xz
graphics/autopano-sift-C: Updated for version 2.5.1
Diffstat (limited to 'graphics')
-rw-r--r--graphics/autopano-sift-C/README10
-rw-r--r--graphics/autopano-sift-C/autopano-sift-C.SlackBuild47
-rw-r--r--graphics/autopano-sift-C/autopano-sift-C.info10
-rw-r--r--graphics/autopano-sift-C/slack-desc12
4 files changed, 58 insertions, 21 deletions
diff --git a/graphics/autopano-sift-C/README b/graphics/autopano-sift-C/README
index e0801ea752..c7e93b78d1 100644
--- a/graphics/autopano-sift-C/README
+++ b/graphics/autopano-sift-C/README
@@ -1,6 +1,6 @@
-autopano-sift-C is a C port of the C# software autopano-sift. It automatically
-creates control points for groups of overlapping photographs. Additionally,
-autopano-sift-C has experimental modifications to perform feature
-identification in conformal image space.
+autopano-sift-C is a C port of the C# software autopano-sift.
+It automatically creates control points for groups of overlapping
+photographs. Additionally, autopano-sift-C has experimental
+modifications to perform feature identification in conformal image space.
-Requires libpano13, available at SlackBuilds.org
+This requires libpano13, available at SlackBuilds.org.
diff --git a/graphics/autopano-sift-C/autopano-sift-C.SlackBuild b/graphics/autopano-sift-C/autopano-sift-C.SlackBuild
index 6b6b311892..54c36167b2 100644
--- a/graphics/autopano-sift-C/autopano-sift-C.SlackBuild
+++ b/graphics/autopano-sift-C/autopano-sift-C.SlackBuild
@@ -1,12 +1,29 @@
#!/bin/sh
-
+#
# Slackware build script for autopano-sift-C
-# Written by Erik Hanson erik@slackbuilds.org
-
-set -eu
+#
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=autopano-sift-C
-VERSION=2.5.0
+VERSION=2.5.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -18,14 +35,19 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -eu
+
rm -rf $PKG
-mkdir -p $TMP $PKG
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
@@ -36,21 +58,26 @@ chmod -R u+w,go+r-w,a-s .
cmake \
-DCMAKE_C_FLAGS="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
- -DCMAKE_INSTALL_PREFIX=/usr .
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ .
make
make install DESTDIR=$PKG
-find $PKG | xargs file | egrep "ELF.*executable" | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mv $PKG/usr/share/man $PKG/usr/man
rmdir $PKG/usr/share
gzip -9 $PKG/usr/man/man?/*.?
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ChangeLog LICENSE README README.1ST $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/autopano-sift-C/autopano-sift-C.info b/graphics/autopano-sift-C/autopano-sift-C.info
index 1a9264f430..389c604c25 100644
--- a/graphics/autopano-sift-C/autopano-sift-C.info
+++ b/graphics/autopano-sift-C/autopano-sift-C.info
@@ -1,8 +1,10 @@
PRGNAM="autopano-sift-C"
-VERSION="2.5.0"
+VERSION="2.5.1"
HOMEPAGE="http://wiki.panotools.org/Autopano-sift-C"
-DOWNLOAD="http://downloads.sourceforge.net/hugin/autopano-sift-C-2.5.0.tar.gz"
-MD5SUM="d4e6bfab53fe227a36eec4c94c0bbfe6"
+DOWNLOAD="http://downloads.sourceforge.net/hugin/autopano-sift-C-2.5.1.tar.gz"
+MD5SUM="b9bade07e8c4f2ea383c22a082c260e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"
diff --git a/graphics/autopano-sift-C/slack-desc b/graphics/autopano-sift-C/slack-desc
index 314fcc9413..46b3df6d7e 100644
--- a/graphics/autopano-sift-C/slack-desc
+++ b/graphics/autopano-sift-C/slack-desc
@@ -1,5 +1,13 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
autopano-sift-C: autopano-sift-C (automatic control point generator)
-autopano-sift-C:
+autopano-sift-C:
autopano-sift-C: autopano-sift-C is a C port of the C# software autopano-sift.
autopano-sift-C: It automatically creates control points for groups of
autopano-sift-C: overlapping photographs. Additionally, autopano-sift-C has
@@ -7,5 +15,5 @@ autopano-sift-C: experimental modifications to perform feature identification
autopano-sift-C: in conformal image space.
autopano-sift-C:
autopano-sift-C:
-autopano-sift-C: http://wiki.panotools.org/Autopano-sift-C
+autopano-sift-C: Homepage: http://wiki.panotools.org/Autopano-sift-C
autopano-sift-C: